---
layout: post
title: "Shared on July 06, 2015 14:57...\n"
date: July 06, 2015 14:57
category: "General discussion"
author: "Arthur Wolf"
---






**"Arthur Wolf"**

---
---
**Bouni** *July 06, 2015 15:16*

Is (or better was) that a desktop mill?


---
**Arthur Wolf** *July 06, 2015 15:46*

**+Anatoli Bugorski** Yep. One for schools, they did plastics and wood with them.


---
*Imported from [Google+](https://plus.google.com/+ArthurWolf/posts/9kupZhdfX1w) &mdash; content and formatting may not be reliable*
